snscan,v0.3.8(8)

NAME
snscan - display information on articles in the spool
sncat - display articles in the spool
sncancel - cancel articles in the spool

SYNOPSIS
snscan [options] articlespec...
sncat [options] articlespec...
sncancel [options] articlespec...
options: [-n] [-s since] [-o outputfile]

DESCRIPTION

snscan
    displays information on all articles specified by articlespec, in the form
    newsgroup serial id
    on a line, one line per article matched. This output is suitable for feeding to snprimedb.

sncat
    displays the articles specified by articlespec.

sncancel
    marks articles specified by articlespec as canceled, so they become unavailable to sn programs.

ARGUMENTS
articlespec defines a broad pattern for articles. It takes two mutually exclusive forms.

Specify by newsgroup and serial number
    Here articlespec is
    newsgroup[:range[,range]...]
    where each range is
    serial[-[toserial]]
    (where toserial is greater than serial). If toserial is omitted, then all articles after serial are matched. If both serial and toserial are empty, then only the first and last articles are matched.

Specify by articles message ID
    Here articlespec is -i id...
    where each id is a message ID, angle brackets optional.

OPTIONS

-n  This option weeds out articles that are aliases. If an article is crossposted, there will be an original copy, the others will be aliases to it. This option prevents information being displayed if it is not from the original copy.

-ssince
    This option weeds out articles that were obtained before since. since is in the format year/month/day[:hour:minute] where each is a number. year may be 2 or 4 digits, and / and : can be any non-digit character.

-ooutputfile
    Write output to outputfile instead of descriptor 1. Sometimes you just don't feel like using the shell.

EXAMPLES

sncancel linux.lemmings:12
    Cancel article 12 from linux.lemmings.

snscan linux.lemmings:4,12-
    Display information on article 4, and also articles 12 to the most recent article, from linux.lemmings.

sncat -n -s 1998/4/1 linux.lemmings
    Display all articles that are not aliases, and which were entered after April 1 1998, from linux.lemmings.

snscan -i '123@myhost'
    Display information on the article whose ID is <123@myhost>, in whichever newsgroup it is found.

FILES
Each articlespec or id on the command line refers to articles in the news spool located in /var/spool/sn.

ENVIRONMENT VARIABLES

SNROOT
    If this is set and is not empty, the value is used in place of /var/spool/sn, the default news spool directory.

EXIT CODES
snscan exits 0 on success, 1 on usage error, 2 on system error, and 3 on other errors. It is not an error to specify an article that does not exist, or which does not meet the since criterion.

SEE ALSO
snprimedb(8)